Name:         tackle-ui-7969b4d77d-ppn2s
Namespace:    konveyor-tackle
Priority:     0
Node:         minikube/192.168.49.2
Start Time:   Wed, 01 Nov 2023 08:34:21 +0200
Labels:       app=tackle
              app.kubernetes.io/component=ui
              app.kubernetes.io/name=tackle-ui
              app.kubernetes.io/part-of=tackle
              pod-template-hash=7969b4d77d
              role=tackle-ui
Annotations:  <none>
Status:       Running
IP:           10.244.0.24
IPs:
  IP:           10.244.0.24
Controlled By:  ReplicaSet/tackle-ui-7969b4d77d
Containers:
  tackle-ui:
    Container ID:   docker://410ad533a85d2a3e271270fa2be64ef20f2397eaae4a4acb695253d932027c02
    Image:          quay.io/konveyor/tackle2-ui:latest
    Image ID:       docker-pullable://quay.io/konveyor/tackle2-ui@sha256:7e7cd2d5921519d0ac5f7c95dc4211cca32760eab7cdc21c0284781f41f5d3ef
    Port:           8080/TCP
    Host Port:      0/TCP
    State:          Running
      Started:      Wed, 01 Nov 2023 08:37:28 +0200
    Ready:          True
    Restart Count:  0
    Limits:
      cpu:     500m
      memory:  800Mi
    Requests:
      cpu:      100m
      memory:   350Mi
    Liveness:   exec [/bin/sh -c ps -A | grep node] delay=10s timeout=1s period=5s #success=1 #failure=3
    Readiness:  http-get http://:8080/ delay=10s timeout=1s period=5s #success=1 #failure=3
    Environment:
      APP_NAME:                    tackle
      PROFILE:                     konveyor
      VERSION:                     99.0.0
      UI_INGRESS_PROXY_BODY_SIZE:  500m
      TACKLE_HUB_URL:              http://tackle-hub.konveyor-tackle.svc:8080
      AUTH_REQUIRED:               true
      KEYCLOAK_REALM:              tackle
      KEYCLOAK_CLIENT_ID:          tackle-ui
      KEYCLOAK_SERVER_URL:         http://tackle-keycloak-sso.konveyor-tackle.svc:8080
      NODE_EXTRA_CA_CERTS:         /opt/app-root/src/ca.crt
      UI_TLS_ENABLED:              false
      RWX_SUPPORTED:               false
    Mounts:
      /var/run/secrets/kubernetes.io/serviceaccount from kube-api-access-fjzwx (ro)
Conditions:
  Type              Status
  Initialized       True 
  Ready             True 
  ContainersReady   True 
  PodScheduled      True 
Volumes:
  kube-api-access-fjzwx:
    Type:                    Projected (a volume that contains injected data from multiple sources)
    TokenExpirationSeconds:  3607
    ConfigMapName:           kube-root-ca.crt
    ConfigMapOptional:       <nil>
    DownwardAPI:             true
QoS Class:                   Burstable
Node-Selectors:              <none>
Tolerations:                 node.kubernetes.io/not-ready:NoExecute op=Exists for 300s
                             node.kubernetes.io/unreachable:NoExecute op=Exists for 300s
Events:
  Type    Reason     Age   From               Message
  ----    ------     ----  ----               -------
  Normal  Scheduled  55m   default-scheduler  Successfully assigned konveyor-tackle/tackle-ui-7969b4d77d-ppn2s to minikube
  Normal  Pulling    55m   kubelet            Pulling image "quay.io/konveyor/tackle2-ui:latest"
  Normal  Pulled     51m   kubelet            Successfully pulled image "quay.io/konveyor/tackle2-ui:latest" in 40.922243995s (3m5.509519096s including waiting)
  Normal  Created    51m   kubelet            Created container tackle-ui
  Normal  Started    51m   kubelet            Started container tackle-ui
